#include "ej1.h"
#include <iostream>

using namespace std;

Vector3d::Vector3d(double x,double y, double z) : x_(x),y_(y),z_(z) {}

Vector3d Vector3d::suma(Vector3d vec2) {
  Vector3d res;
  res.x_ = x_ + vec2.x_;
  res.y_ = y_ + vec2.y_;
  res.z_ = z_ + vec2.z_;
  return res;
}

double Vector3d::productoEscalar(Vector3d vec2) {
  return x_*vec2.x_ + y_*vec2.y_ + z_*vec2.z_;
}

bool Vector3d::esIgual(Vector3d vec2) {
  return x_ == vec2.x_ && y_ == vec2.y_ && z_ == vec2.z_; 
}

void Vector3d::imprime() {
  cout << "[" << x_ << "," << y_ << "," << z_ << "]" << endl;
}


int main() {
  Vector3d vec1(7,8,9), vec2(10,20,30);
  Vector3d res1 = vec1.suma(vec2);
  cout << "res 1 : "; res1.imprime();
  cout << "producto escalar : " << vec1.productoEscalar(vec2) << endl;

  Vector3d vec4, vec5;
  cout << "son iguales : " << vec1.esIgual(vec2) << endl;
  cout << "son iguales : " << vec4.esIgual(vec5) << endl;
}
