#include "ej2.h"
#include <iostream>
#include <math.h>

using namespace std;

Circulo::Circulo(Punto centro, double rad) : centro_(centro), radio_(rad)
{
}

void Circulo::verDatos() 
{
  cout << "el centro es : " << centro_.getX() << ", " << centro_.getY() ;
  cout << " el radio es : " << radio_ << endl;
}

double Circulo::diametro() 
{
  return 2 * radio_;
}

double Circulo::longitud() 
{
  return M_PI * diametro();
}

double Circulo::area() 
{
  return M_PI * radio_ * radio_;
}

void Circulo::trasladar(Punto p1) 
{
  centro_.setX( centro_.getX() + p1.getX());
  centro_.setY( centro_.getY() + p1.getY());
}

int main() 
{
  Punto p1(2,3);
  Circulo c1(p1,3.0);
  c1.verDatos();
  cout << "el area es " << c1.area() << endl;
  cout << "el diametros es " << c1.diametro() << endl;
  cout << "la longitud es " << c1.longitud() << endl;
  Punto p2(2.0,3.0);
  c1.trasladar(p2);
  c1.verDatos();
  cout << "el area es " << c1.area() << endl;
  cout << "el diametros es " << c1.diametro() << endl;
  cout << "la longitud es " << c1.longitud() << endl;
}
