#include "ej3.h"
#include <iostream>
#include <math.h>

using namespace std;

Punto::Punto(double x1, double y1) 
{
  cout << "constructor normal" << endl;
  x = x1;
  y = y1;
}

Punto::Punto(const Punto& other) {
  cout  << "constructor copia" << endl;
  x = other.x;
  y = other.y;
}

Punto::~Punto() {
  cout << "destructor" << endl;
}

double Punto::getX() 
{
  return x;
}

double Punto::getY() 
{
  return y;
}

void Punto::leerDatos()
{
  cout << "Introduzca la coordenada x:" << endl;
  cin >> x;
  cout << "Introduzca la coordenada y:" << endl;
  cin >> y;
}

void Punto::verDatos()
{
  cout << "x: " << x << " y: " << y << endl;
}

double Punto::distanciaEje()
{
  return sqrt(x*x+y*y);
}

double Punto::distanciaA(Punto p2) 
{
  return sqrt( pow(x-p2.getX(),2.0) + pow(y-p2.getY(),2.0) );
}

int main() 
{
  Punto p1(1,2);
  cout << "despues de crear p1" << endl;
  Punto p2(3,4);
  cout << "despues de crear p2" << endl;
  p1.distanciaA(p2);
  cout << "despues de distancia" << endl;
}
