#include "punto.h"
#include <iostream>
#include <math.h>

using namespace std;

Punto::Punto(double x1, double y1) 
{
  x = x1;
  y = y1;
}

double Punto::getX() 
{
  return x;
}

double Punto::getY() 
{
  return y;
}

void Punto::leerDatos()
{
  cout << "Introduzca la coordenada x:" << endl;
  cin >> x;
  cout << "Introduzca la coordenada y:" << endl;
  cin >> y;
}

void Punto::verDatos()
{
  cout << "x: " << x << " y: " << y << endl;
}

double Punto::distanciaEje()
{
  return sqrt(x*x+y*y);
}

double Punto::distanciaA(Punto p2) 
{
  return sqrt( pow(x-p2.getX(),2.0) + pow(y-p2.getY(),2.0) );
}

int Punto::cuadrante() 
{
  int cuadrante=0;
  if      (x>=0 && y>=0) cuadrante = 1;
  else if (x<0 && y>0)   cuadrante = 2;
  else if (x<0 && y<0)   cuadrante = 3;
  else if (x>0 && y<0)   cuadrante = 4;

  return cuadrante;
}

void Punto::trasladaPrimerCuadrante()
{
  if (x < 0 ) x *= -1;
  if (y < 0 ) y *= -1;
}

void pruebaPunto(Punto& p1) 
{
  p1.verDatos();
  cout << "la distancia al origen es " << p1.distanciaEje() << endl;
  p1.trasladaPrimerCuadrante();
  p1.verDatos();
  cout << "la distancia al origen es " << p1.distanciaEje() << endl;
}

